const char glsl_rgb32_lut_cgauss_fsh_src[] =
"\n"
"#pragma optimize (on)\n"
"#pragma debug (off)\n"
"\n"
"uniform sampler2D color_texture;\n"
"uniform sampler2D colortable_texture;\n"
"uniform vec2      colortable_sz;         // orig size for full bgr\n"
"uniform vec2      colortable_pow2_sz;    // orig size for full bgr\n"
"\n"
"#define KERNEL_SIZE 9\n"
"const int MaxKernelSize = KERNEL_SIZE;\n"
"\n"
"uniform vec2 Offset[MaxKernelSize];\n"
"\n"
"uniform vec4 KernelValue[MaxKernelSize];\n"
"\n"
"vec4 lutTex2D(in vec2 texcoord)\n"
"{\n"
"	vec4 color_tex;\n"
"	vec2 color_map_coord;\n"
"	vec4 color0;\n"
"	float colortable_scale = (colortable_sz.x/3.0) / colortable_pow2_sz.x;\n"
"\n"
"	// normalized texture coordinates ..\n"
"	color_tex         = texture2D(color_texture, texcoord) * ((colortable_sz.x/3.0)-1.0)/colortable_pow2_sz.x;// lookup space \n"
"\n"
"	color_map_coord.x = color_tex.b;\n"
"	color0.b          = texture2D(colortable_texture, color_map_coord).b;\n"
"\n"
"	color_map_coord.x = color_tex.g + colortable_scale;\n"
"	color0.g          = texture2D(colortable_texture, color_map_coord).g;\n"
"\n"
"	color_map_coord.x = color_tex.r + 2.0 * colortable_scale;\n"
"	color0.r          = texture2D(colortable_texture, color_map_coord).r;\n"
"\n"
"	return color0;\n"
"}\n"
"\n"
"void main()\n"
"{\n"
"	vec4 sum = vec4(0.0);\n"
"	int i;\n"
"\n"
"	// sum it up ..\n"
"	for(i=0; i<KERNEL_SIZE; i++)\n"
"	{\n"
"		sum += lutTex2D(gl_TexCoord[0].st + Offset[i]) * KernelValue[i];\n"
"	}\n"
"	\n"
"	gl_FragColor = sum;\n"
"}\n"
"\n"
;
